import { w as withInstall } from "../badge/index2.js";
import { defineComponent, provide, openBlock, createElementBlock, renderSlot } from "vue";
var index = /* @__PURE__ */ (() => ".layui-breadcrumb{font-size:0}.layui-breadcrumb>*{font-size:14px}.layui-breadcrumb a{color:#999}.layui-breadcrumb a:hover{color:var(--global-checked-color)!important}.layui-breadcrumb a:nth-last-child(2){color:#666;font-style:normal}.layui-breadcrumb span:last-child{display:none}.layui-breadcrumb span[lay-separator]{margin:0 10px;color:var(--global-neutral-color-7)}\n")();
const _hoisted_1 = { class: "layui-breadcrumb" };
const __default__ = {
  name: "LayBreadcrumb"
};
const _sfc_main = defineComponent({
  ...__default__,
  props: {
    separator: { default: "/" }
  },
  setup(__props) {
    const props = __props;
    provide("separator", props.separator);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("span", _hoisted_1, [
        renderSlot(_ctx.$slots, "default")
      ]);
    };
  }
});
const component = withInstall(_sfc_main);
export { component as default };
